#define LZY_IMPLEMENTATION
#include "lzy.h"

int main(void) {
	if (LZY_Init("lzy example")) {
		LZY_Log(LZY_GetError());
		LZY_Quit();
		return 1;
	}
	LZY_Log("init was great success!");

	LZY_DrawSetColor(0xff, 0xff, 0x00);

	LZY_DrawBegin();
	LZY_DrawClear();
	LZY_DrawEnd();

	do {
		LZY_CycleEvents();
		if (LZY_KeyDown(LZYK_LEFT))
			LZY_Log("pressing left");
		if (LZY_KeyDown(LZYK_RIGHT))
			LZY_Log("pressing right");
	} while (!LZY_ShouldQuit());

	LZY_Log("cya");
	LZY_Quit();
	return 0;
}
